Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Anchors.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Anchors.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Anchors.cs	(revision 4068)
@@ -1,80 +1,68 @@
 using System;
 using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    public struct Anchor
-    {
-        
-        /// <summary>
-        /// the Parent field
-        /// </summary>
-        private Guid mParent;
-        /// <summary>
-        /// Gets or sets the Parent
-        /// </summary>
-	      public Guid Parent
-	      {
-		      get { return mParent;}
-		      set { mParent = value;}
-	      }
+namespace Netron.Diagramming.Core {
+  public struct Anchor {
 
-        
-        /// <summary>
-        /// the Instance field
-        /// </summary>
-        private IConnector mInstance;
-        /// <summary>
-        /// Gets or sets the Instance
-        /// </summary>
-	      public IConnector Instance
-	      {
-		      get { return mInstance;}
-		      set { mInstance = value;}
-	      }
+    /// <summary>
+    /// the Parent field
+    /// </summary>
+    private Guid mParent;
+    /// <summary>
+    /// Gets or sets the Parent
+    /// </summary>
+    public Guid Parent {
+      get { return mParent; }
+      set { mParent = value; }
+    }
 
 
-          #region Constructor
-          ///<summary>
-          ///Default constructor
-          ///</summary>
-          public Anchor(Guid parent, IConnector instance)
-          {
-              this.mParent = parent;
-              this.mInstance = instance;
-          }
-          #endregion
-  
+    /// <summary>
+    /// the Instance field
+    /// </summary>
+    private IConnector mInstance;
+    /// <summary>
+    /// Gets or sets the Instance
+    /// </summary>
+    public IConnector Instance {
+      get { return mInstance; }
+      set { mInstance = value; }
+    }
 
+
+    #region Constructor
+    ///<summary>
+    ///Default constructor
+    ///</summary>
+    public Anchor(Guid parent, IConnector instance) {
+      this.mParent = parent;
+      this.mInstance = instance;
     }
-    public static class Anchors 
-    {
-        private static Dictionary<Guid, Anchor> innerList = new Dictionary<Guid, Anchor>();
+    #endregion
 
-        public static void Clear()
-        {
-            innerList.Clear();
-        }
 
-        public static void Add(Guid uid, Anchor anchor)
-        {
-            innerList.Add(uid, anchor);
-        }
+  }
+  public static class Anchors {
+    private static Dictionary<Guid, Anchor> innerList = new Dictionary<Guid, Anchor>();
 
-        public static bool ContainsKey(Guid uid)
-        {
-            return innerList.ContainsKey(uid);
-        }
+    public static void Clear() {
+      innerList.Clear();
+    }
 
-        public static Dictionary<Guid, Anchor>.Enumerator GetEnumerator()
-        {
-            return innerList.GetEnumerator();
-        }
+    public static void Add(Guid uid, Anchor anchor) {
+      innerList.Add(uid, anchor);
+    }
 
-        public static Anchor GetAnchor(Guid uid)
-        {
-                return innerList[uid];
-        }
+    public static bool ContainsKey(Guid uid) {
+      return innerList.ContainsKey(uid);
     }
+
+    public static Dictionary<Guid, Anchor>.Enumerator GetEnumerator() {
+      return innerList.GetEnumerator();
+    }
+
+    public static Anchor GetAnchor(Guid uid) {
+      return innerList[uid];
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ClassShape.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ClassShape.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ClassShape.Serialization.cs	(revision 4068)
@@ -1,49 +1,43 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Diagnostics;
 using System.Drawing;
-using System.ComponentModel;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public partial class ClassShape : ISerializable, IXmlSerializable, IDeserializationCallback {
+    #region Deserialization constructor
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-   [Serializable]
-    public partial class ClassShape : ISerializable, IXmlSerializable, IDeserializationCallback
-    {
-        #region Deserialization constructor
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        protected ClassShape(SerializationInfo info, StreamingContext context)
-            : base(info, context)
-        {
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    protected ClassShape(SerializationInfo info, StreamingContext context)
+      : base(info, context) {
 
-            
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("Deserializing the fields of 'ClassShape'.");
 
-            double version = info.GetDouble("ClassShapeVersion");
-            this.Resizable = false;
-            this.mTitle = info.GetString("Title");
-            this.mSubTitle = info.GetString("SubTitle");
-            sf.Trimming = StringTrimming.EllipsisCharacter;
-            this.textMaterial = info.GetValue("TextMaterial", typeof(LabelMaterial)) as LabelMaterial;
-            mFolders = new CollectionBase<FolderMaterial>();
-            this.Resizable = false;
-            this.mCollapsed = info.GetBoolean("Collapsed");
-            this.mBodyType = (BodyType) Enum.Parse(typeof(BodyType), info.GetString("BodyType"));
-            
-        }
-        #endregion
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("Deserializing the fields of 'ClassShape'.");
 
-        #region Serialization events
-       /*
+      double version = info.GetDouble("ClassShapeVersion");
+      this.Resizable = false;
+      this.mTitle = info.GetString("Title");
+      this.mSubTitle = info.GetString("SubTitle");
+      sf.Trimming = StringTrimming.EllipsisCharacter;
+      this.textMaterial = info.GetValue("TextMaterial", typeof(LabelMaterial)) as LabelMaterial;
+      mFolders = new CollectionBase<FolderMaterial>();
+      this.Resizable = false;
+      this.mCollapsed = info.GetBoolean("Collapsed");
+      this.mBodyType = (BodyType)Enum.Parse(typeof(BodyType), info.GetString("BodyType"));
+
+    }
+    #endregion
+
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -57,8 +51,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-       /*
+    #region Deserialization events
+    /*
         [OnDeserializing]
         void OnDeserializing(StreamingContext context)
@@ -68,119 +62,106 @@
         }
         */
-        [OnDeserialized]
-        void OnDeserialized(StreamingContext context)
-         {
-             if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("...deserialization of 'ClassShape' finished");
-            
-             #region Loop over the children and make re-attach the events
-            foreach(IShapeMaterial material in Children)
-             {
-                 //set the parent
-                material.Shape = this;
+    [OnDeserialized]
+    void OnDeserialized(StreamingContext context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("...deserialization of 'ClassShape' finished");
 
-                 if(typeof(FolderMaterial).IsInstanceOfType(material))
-                 {
-                     (material as FolderMaterial).OnFolderChanged += new EventHandler<RectangleEventArgs>(folders_OnFolderChanged);
-                     mFolders.Add(material as FolderMaterial);
-                     bodyHeight += material.Rectangle.Height + 3;
-                 }
-                 else if(typeof(SwitchIconMaterial).IsInstanceOfType(material))
-                 {
-                     xicon = material as SwitchIconMaterial;
-                     xicon.Collapsed = mCollapsed;
-                     (material as SwitchIconMaterial).OnExpand += new EventHandler(xicon_OnExpand);
-                     (material as SwitchIconMaterial).OnCollapse += new EventHandler(xicon_OnCollapse);
-                 }
-             }
-            #endregion
+      #region Loop over the children and make re-attach the events
+      foreach (IShapeMaterial material in Children) {
+        //set the parent
+        material.Shape = this;
 
-             #region Set the initial state
-             if(mCollapsed)
-             {
-                 Collapse();
-             }
-             else
-             {
-                 Expand();
-             }
-             #endregion
+        if (typeof(FolderMaterial).IsInstanceOfType(material)) {
+          (material as FolderMaterial).OnFolderChanged += new EventHandler<RectangleEventArgs>(folders_OnFolderChanged);
+          mFolders.Add(material as FolderMaterial);
+          bodyHeight += material.Rectangle.Height + 3;
+        } else if (typeof(SwitchIconMaterial).IsInstanceOfType(material)) {
+          xicon = material as SwitchIconMaterial;
+          xicon.Collapsed = mCollapsed;
+          (material as SwitchIconMaterial).OnExpand += new EventHandler(xicon_OnExpand);
+          (material as SwitchIconMaterial).OnCollapse += new EventHandler(xicon_OnCollapse);
+        }
+      }
+      #endregion
 
-             #region Update the body, this will set the bodytype for example
-             UpdateBody();
-             #endregion
+      #region Set the initial state
+      if (mCollapsed) {
+        Collapse();
+      } else {
+        Expand();
+      }
+      #endregion
 
-             #region Finally, position everything
-             Transform(Rectangle);
-             #endregion
-         }
-       
-        #endregion
+      #region Update the body, this will set the bodytype for example
+      UpdateBody();
+      #endregion
 
-        #region Serialization
-         /// <summary>
-         /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
-         /// </summary>
-         /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
-         /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
-         /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
-         public override void  GetObjectData(SerializationInfo info, StreamingContext context)
-        {
+      #region Finally, position everything
+      Transform(Rectangle);
+      #endregion
+    }
 
- 	        base.GetObjectData(info, context);
-            if (Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'ClassShape'.");
+    #endregion
 
-            info.AddValue("Title", this.Title);
-            info.AddValue("SubTitle", this.SubTitle);
-            info.AddValue("TextMaterial", this.textMaterial, typeof(LabelMaterial));
-            info.AddValue("Collapsed", mCollapsed);
-            info.AddValue("BodyType", mBodyType.ToString());
-            info.AddValue("ClassShapeVersion", classShapeVersion);
-        }
-        #endregion
+    #region Serialization
+    /// <summary>
+    /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
+    /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
+    public override void GetObjectData(SerializationInfo info, StreamingContext context) {
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public override XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+      base.GetObjectData(info, context);
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'ClassShape'.");
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public override void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+      info.AddValue("Title", this.Title);
+      info.AddValue("SubTitle", this.SubTitle);
+      info.AddValue("TextMaterial", this.textMaterial, typeof(LabelMaterial));
+      info.AddValue("Collapsed", mCollapsed);
+      info.AddValue("BodyType", mBodyType.ToString());
+      info.AddValue("ClassShapeVersion", classShapeVersion);
+    }
+    #endregion
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public override void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public override XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public override void OnDeserialization(object sender)
-        {
-            base.OnDeserialization(sender);
-            
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'ClassShape' called.");
-        }
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public override void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
     }
+
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public override void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
+
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public override void OnDeserialization(object sender) {
+      base.OnDeserialization(sender);
+
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'ClassShape' called.");
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ClickableIconMaterial.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ClickableIconMaterial.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ClickableIconMaterial.Serialization.cs	(revision 4068)
@@ -1,37 +1,30 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-using System.ComponentModel;
+using System.Diagnostics;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public partial class ClickableIconMaterial : ISerializable, IXmlSerializable, IDeserializationCallback {
+    #region Deserialization constructor
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-   [Serializable]
-    public partial class ClickableIconMaterial : ISerializable, IXmlSerializable, IDeserializationCallback
-    {
-        #region Deserialization constructor
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        protected ClickableIconMaterial(SerializationInfo info, StreamingContext context)
-            : base(info, context)
-        {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("Deserializing the fields of 'ClickableIconMaterial'.");
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    protected ClickableIconMaterial(SerializationInfo info, StreamingContext context)
+      : base(info, context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("Deserializing the fields of 'ClickableIconMaterial'.");
 
-            double version = info.GetDouble("ClickableIconMaterialVersion");
-        }
-        #endregion
+      double version = info.GetDouble("ClickableIconMaterialVersion");
+    }
+    #endregion
 
-        #region Serialization events
-       /*
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -47,8 +40,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-       /*
+    #region Deserialization events
+    /*
         [OnDeserializing]      
         void OnDeserializing(StreamingContext context)
@@ -64,71 +57,66 @@
          }
        */
-        #endregion
+    #endregion
 
-        #region Serialization
-        /// <summary>
-        /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
-        /// </summary>
-        /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
-        /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
-        /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
-        public override void GetObjectData(SerializationInfo info, StreamingContext context) 
-        {
-            if(Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'ClickableIconMaterial'.");
-            base.GetObjectData(info, context);
+    #region Serialization
+    /// <summary>
+    /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
+    /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
+    public override void GetObjectData(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'ClickableIconMaterial'.");
+      base.GetObjectData(info, context);
 
-            info.AddValue(
-                "ClickableIconMaterialVersion", 
-                clickableIconMaterialVersion);
-       
-        }
-        #endregion
+      info.AddValue(
+          "ClickableIconMaterialVersion",
+          clickableIconMaterialVersion);
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public override XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    }
+    #endregion
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public override void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public override XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public override void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public override void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public override void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
 
 
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public override void  OnDeserialization(object sender)
-        {
-            base.OnDeserialization(sender);
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'ClickableIconMaterial' called.");
-            
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public override void OnDeserialization(object sender) {
+      base.OnDeserialization(sender);
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'ClickableIconMaterial' called.");
 
-        }
+
     }
+  }
 }
